/**
 *
 */
package jp.agentec.sinaburocast.form.admin.mail;

import jp.agentec.sinaburocast.form.admin.setting.PagingForm;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

/**
 * @author kim-hs
 *
 */
@Component(instance=InstanceType.SESSION)
public class MailSearchForm extends PagingForm{

	public Integer pageNo = 1;

	public String mailSubject;

	public String enqueteMailId;

	public boolean backFlg = false;
	public String fromDay;
	public String toDay;

	public void clearAll() {

		pageNo = 1;
		mailSubject = null;
		enqueteMailId = null;
		pagingMapAdd(PAGING);
		backFlg = false;
		fromDay= null;
		toDay=null;
	}

	public void clearSearch() {

		pageNo = 1;
		mailSubject = null;
		enqueteMailId = null;
		backFlg = false;
		fromDay= null;
		toDay=null;
	}

	public void clearPage() {
		pagingMapAdd(PAGING);
		pageNo=1;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.DEFAULT_STYLE).toString();
	}
}
